@font-face {
    font-family: "museo-sans";
    src: local(fonts), url(../assets/fonts/museo/MuseoSansRounded300.otf);
}

@font-face {
    font-family: "gotham-rounded";
    src: local(fonts),
        url(../assets/fonts/gotham-rounded/GothamRounded-Light.otf);
}
@font-face {
    font-family: "Gtek";
    src: local(fonts), url(../assets/fonts/GtekTechnology-B9aB.ttf);
}
@import "./variables";
@import "~bootstrap/scss/bootstrap";

* {
    font-family: "Quicksand", sans-serif;
    //font-family: "gotham-rounded", sans-serif;
}

html {
    height: 100%;
}
body {
    background: $white;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0 !important;
    color: theme-color("dark");
}

/*-----------------main container---------------
---------------------------------------------------
*/
.main-section {
    padding: 7rem 0 5rem 0;
}
@media screen and (max-width: 498px) {
    .main-section {
        padding: 2rem 0 5rem 0;
    }
}

/*---------------------card--------------------
-----------------------------------------------
*/
.card {
    border: none !important;
}
.card-header {
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    background-color: transparent !important;
    border: none !important;
    padding: 2rem 1.5rem 0 1.5rem !important;
}
.card.h-min {
    min-height: 350px;
}

.card-bgi{
    background-size:cover;
    background-repeat: no-repeat;
    background-size: cover;    
    min-height: 350px;   
       
}
.card-bgi:before{
    content: "";
    position: absolute;   
    left: 0; right: 0; top: 0; bottom: 0;
    border-radius: 20px;
    background: linear-gradient(to left, rgba(0,0,0,.1), rgba(0,0,0,.1));      
}
.card-bgi-box{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    text-align: center;
    h1,h2,h3,h4,h5,p,small{
        color: $white;
    }  
}


/*--------------------button ripple effect------------------
-----------------------------------------------------------*/

.btn {
    position: relative;
    overflow: hidden;
    font-weight: 600 !important;
    letter-spacing: 0.5px;
    transition: all 0.5s;
    border-radius: 15px;
}
.btn-primary,
.btn-info,
.btn-secondary,
.btn-secondary1,
.btn-danger,
.btn-success,
.btn-warning {
    transition: scale 0.1s ease-in-out;
    &:active {
        box-shadow: rgba(0, 0, 0, 0.7) 0 3px 10px 0;
    }
    &:focus {
        box-shadow: rgba(99, 98, 98, 0.5) 0 2px 10px 0 !important;
    }
}

.btn:disabled {
    cursor: not-allowed;
    opacity: 0.3 !important;
}

.ripple {
    position: relative;
    &:after {
        content: "";
        background: rgba(255, 255, 255, 0.4);
        display: block;
        position: absolute;
        border-radius: 50%;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        width: 450px;
        height: 450px;
        margin: auto;
        opacity: 0;
        transition: all 1s;
    }
    &:active:after {
        height: 0.5px;
        width: 0.5px;
        opacity: 1;
        transition: 0s;
    }
}

/*---------------------table--------------------
---------------------------------------------------
*/
.table,
.table.stats {
    border-collapse: collapse !important;
    width: 100%;
}
.table thead th,
.table.stats thead th {
    border: none !important;
    background-color: theme-color('primary');
    color: $white;
}

.table th:first-child,
.table.stats th:first-child {
    border-top-left-radius: 10px;
}
.table th:last-child,
.table.stats th:last-child {
    border-top-right-radius: 10px;
}

.table.stats th > a {
    color: $white;
    text-decoration: none !important;
    text-transform: capitalize;
}
.table.stats th:first-child,
.table.stats td:first-child {
    position: sticky;
    left: 0px;
}
.table.stats td:first-child {
    background-color: $white;
    box-shadow: 5px 5px 10px theme-color('light');
    -webkit-box-shadow: 5px 5px 10px theme-color('light');
    -moz-box-shadow: 5px 5px 10px theme-color('light');
}

/*---------dropdown--------------
---------------------------------
*/
.dropdown-menu.filters {
    left: -50px !important;
}
.dropdown-menu {
    top: 1rem !important;
    min-width: 170px;     
    border-radius: 10px;
    border: none;
    padding: 0;
    .dropdown-item {
        padding: 0.75rem 1.5rem;
        text-decoration: none;
        text-transform: capitalize;
        margin: 0;
        transition: all 0.1s;

        &:first-child {
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;
        }

        &:last-child {
            border-bottom-left-radius: 10px;
            border-bottom-right-radius: 10px;
        }

        &:hover {
            background: transparent !important;
            color: theme-color('primary');
        }
        &:active {
            background-color: transparent !important;            
        }
    }
    p{
        &:hover {
            background: transparent !important;
            color: theme-color('primary');
        }
    }
}
.dropdown-divider {
    margin: 0;
}

/*
/----------pagination-----------
/-------------------------------
*/

.pagination {
    margin: auto;
}

ul.pagination {
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

.pagination li {
    cursor: pointer;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid transparent;
    transition: all 0.1s ease-in-out;
}
.pagination li:first-child,
.pagination li:last-child {
    display: none;
}

.pagination li.active {
    border-color: theme-color('primary');
    font-size: bold;
}

.pagination li a svg {
    font-size: 16px;
    color: theme-color('primary');
}
.pagination li.active > a {
    color: theme-color('primary');
}

.pagination li a {
    font-size: 14px;
    text-decoration: none;
    display: inline-block;
    color: gray("500");
}

/*----------Modals-----------
/-------------------------------
*/
.modal-content {
    border-radius: 20px !important;
}